from poobrains import app, session

import poobrains.rendering
import poobrains.auth

class SessionDump(poobrains.auth.Protected):

    def session_tree(self, root=None, title=None):

        if root is None:
            root = session
            title = 'root'

        tree = poobrains.rendering.Tree(poobrains.rendering.RenderString(title))

        for key, value in root.items():
            if isinstance(value, dict):
                tree.children.append(self.session_tree(value, key))
            else:
                tree.children.append(poobrains.rendering.RenderString(f"{key}: {value}"))

        return tree


app.admin.add_view(SessionDump, '/tools/session/')
